ru.bitel.bgbilling.kernel.network.tlv

## Class Tlv<I extends TlvInfo<?,V,?>,V>

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.tlv.Tlv<I,V>

- Direct Known Subclasses:
    RadiusAttribute

      public class Tlv<I extends TlvInfo<?,V,?>,V>
      extends java.lang.Object

  TypeLengthValue - тип, длина и значение

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.nio.ByteBuffer` | `data`
    `I` | `info`
    `protected int` | `length`
    `protected V` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tlv(I info, byte[] data)`
    `Tlv(I info, java.nio.ByteBuffer data)`
    `Tlv(I info, java.nio.ByteBuffer data, V value)`
    `Tlv(I info, V value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `getData()`
    `byte[]` | `getDataAsByteArray()`
    `int` | `getLength()`
    `V` | `getValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### info

          public final I extends TlvInfo<?,V,?> info

    - #### length

          protected final int length

    - #### data

          protected final java.nio.ByteBuffer data

    - #### value

          protected V value

  - ### Constructor Detail

    - #### Tlv

          public Tlv(I info,
                     java.nio.ByteBuffer data)

    - #### Tlv

          public Tlv(I info,
                     byte[] data)

    - #### Tlv

          public Tlv(I info,
                     V value)

    - #### Tlv

          public Tlv(I info,
                     java.nio.ByteBuffer data,
                     V value)

  - ### Method Detail

    - #### getData

          public java.nio.ByteBuffer getData()

    - #### getDataAsByteArray

          public byte[] getDataAsByteArray()

    - #### getLength

          public int getLength()

    - #### getValue

          public V getValue()